<?php
/*
Plugin Name: 123 Flash Chat
Plugin URI: http:///www.123flashchat.com/wordpress-chat.html
Description: 123 Flash Chat Plugin can be used to put your flash chat room (<a href="http://www.123flashchat.com" target="_blank">chat demo page</a>) in WordPress. And you may easily get a free chat room host service by simply selecting a room title. If you are 123FlashChat's license buyer or host service buyer, you may get more professional technique support.
Author: 123flashchat.com
Author URI: http://www.123flashchat.com
*/

$hookname = 'settings_page_wp_flash_chat/wp_flash_chat_options';
$upload_hookname = 'admin_page_wp_flash_chat/wp_flash_chat_options';

$_registered_pages[$hookname] = 1;
$_registered_pages[$upload_hookname] = 1;



$include = true;
$included_files = get_included_files();

foreach ($included_files as $include_file) {
	if (substr_count($include_file,'functions_chat.php')) {
		$include = false;
	}
}



if ($include) {
	include('functions_chat.php');
}


/* Action calls for all functions */
add_action('admin_head', 'flash_chat_add_options_page');
/*
add_action('init', 'flash_chat_init');
add_action('marker_css', 'flash_chat_marker_css');



/* Functions definition  for admin panel*/


function flash_chat_add_options_page() {
	add_options_page('Chat Options', 'Flash Chat', 'manage_options', 'wp_flash_chat/wp_flash_chat_options.php');
}

/*
function flash_chat_init() {
	$flash_chat_button_url = buttonsnap_dirname(__FILE__) . '/geesee_button.png';

	buttonsnap_textbutton($flash_chat_button_url, 'Insert Flash Chat', '<!--Flash CHAT-->');
	buttonsnap_register_marker('Flash CHAT', 'geesee_marker');
}

function flash_chat_marker_css() {
		$geesee_marker = buttonsnap_dirname(__FILE__) . '/geesee_marker.gif';
		echo "
			.geesee_marker {
					display: block;
					height: 15px;
					width: 155px
					margin-top: 5px;
					background-image: url({$geesee_marker});
					background-repeat: no-repeat;
					background-position: center;
			}
		";
}


function chat_content($content) {
	if(! preg_match('|<!--Flash CHAT-->|', $content)) {
		return $content;
	} else {
	
		$gc_width = stripslashes(get_option('flash_chat_width'));
		$gc_height = stripslashes(get_option('flash_chat_height'));
		$gc_default_room = urlencode(stripslashes(get_option('flash_chat_default_room')));
		$gc_chat = sprintf('<script type="text/javascript" src="http://www.geesee.com/sys/geeseejs.ashx?chatid=1027&Width=%d&Height=%d&DefaultRoomName=%s"></script>', $gc_width, $gc_height, $gc_default_room);
		$content = str_replace('<!--Flash CHAT-->',$gc_chat,$content);

		return $content;
	}
}

*/

function wp_show_chat_info() {
	
	
	$fc_running_mode = stripslashes(get_option('fc_running_mode'));
	$fc_server_path = stripslashes(get_option('fc_server_path'));
	$fc_client_location = stripslashes(get_option('fc_client_location'));
	$fc_room_name = stripslashes(get_option('fc_room_name'));
	$fc_width = stripslashes(get_option('fc_width'));
	$fc_height = stripslashes(get_option('fc_height'));
	

	
	$rooms = getChatters($fc_running_mode, $fc_room_name, $fc_client_location,$fc_server_path);
	$user_list = getChatterList($fc_running_mode,$fc_room_name, $fc_client_location,$fc_server_path);


	if($fc_running_mode == 0){
	
		$window = 'height=550,width=728';
		
	}else{
			if($fc_width == '100%' && $fc_height = '100%'){
				$window = 'fullscreen=yes';
			}else{
				$window = 'height='.$fc_height.',width='.$fc_width;	
			}
	
	}
	
	
    echo "<div id='flashchat'>";
    echo "<b>123 Flash Chat</b><br>";
	if($fc_running_mode){
		echo 'There are <b>'.$rooms['connections'].'</b> chat connections.<br />';
		echo 'There are <b>'.$rooms['room_numbers'].'</b> chat rooms.<br />';
	}
	echo 'There are <b>'.$rooms['logon_users'].'</b> chat logon users.<br />';
    echo 'Chatting users: <b>'.$user_list.'</b><br />';
	echo "<a onmouseover='window.status=\"Chat\";return true' onclick=\"openChat();return false;\" href=\"http://www.123flashchat.com/\">Chat now</a>";
	echo "<script language=\"javascript\">function openChat(){window.open('wp-content/plugins/wp_flash_chat/123flashchat.php', '123flashchat', '".$window.",resizable=yes');}</script>";
    echo "</div>";
}


function wp_show_flash_chat() {
	
	$fc_running_mode = stripslashes(get_option('fc_running_mode'));
	$fc_show_mode = stripslashes(get_option('fc_show_mode'));
	$fc_server_path = stripslashes(get_option('fc_server_path'));
	$fc_client_location = stripslashes(get_option('fc_client_location'));
	$fc_room_name = stripslashes(get_option('fc_room_name'));
	$fc_width = stripslashes(get_option('fc_width'));
	$fc_height = stripslashes(get_option('fc_height'));
	
	show_flash_chat($fc_running_mode, $fc_room_name, $fc_client_location,$fc_server_path,$fc_width,$fc_height,$fc_show_mode);
	
}



function widget_chat() {
	
	// Check for the required API functions
	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;
	function widget_chat1() {
?>
   <div id="123flashchat">123 Flash Chat<?php wp_add_flash_chat(); ?></div> 
<?php
}		

if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Flash Chat'), 'widget_chat1');	
}
add_action('widgets_init', 'widget_chat');

?>