<?php


$plugin_location = dirname(__FILE__) . DIRECTORY_SEPARATOR . 'wp_flash_chat.php';
$plugin_data = get_plugin_data($plugin_location);
$location = get_option('siteurl') . '/wp-admin/admin.php?page=wp_flash_chat/wp_flash_chat_options.php'; 

/*Lets add some default options if they don't exist*/
add_option('fc_running_mode', 0);
add_option('fc_show_mode', 1);
add_option('fc_server_path', '');
add_option('fc_client_location', '');
add_option('fc_room_name', '');
add_option('fc_width', 700);
add_option('fc_height', 500);

/*check form submission and update options*/
if ('process' == $_POST['stage'])
{
	update_option('fc_running_mode', $_POST['fc_running_mode']);
	update_option('fc_show_mode', $_POST['fc_show_mode']);
	update_option('fc_server_path', $_POST['fc_server_path']);
	update_option('fc_client_location', $_POST['fc_client_location']);
	update_option('fc_room_name', $_POST['fc_room_name']);
	update_option('fc_width', $_POST['fc_width']);
	update_option('fc_height', $_POST['fc_height']);
}

/*Get options for form fields*/

$fc_running_mode = stripslashes(get_option('fc_running_mode'));
$fc_show_mode = stripslashes(get_option('fc_show_mode'));
$fc_server_path = stripslashes(get_option('fc_server_path'));
$fc_client_location = stripslashes(get_option('fc_client_location'));
$fc_room_name = stripslashes(get_option('fc_room_name'));
$fc_width = stripslashes(get_option('fc_width'));
$fc_height = stripslashes(get_option('fc_height'));

?>
<script type="text/JavaScript">
<!--
function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
//-->
</script>

<div class="wrap">
  <h2><?php _e('123 flash chat options', 'flash_chat') ?></h2>
  <form name="form1" method="post" action="<?php echo $location ?>&amp;updated=true">
	<input type="hidden" name="stage" value="process" />
    <table width="100%" cellspacing="2" cellpadding="5" class="editform">
      <tr valign="top">
        <th width="172" scope="row"><?php _e('Hosting mode:') ?></th>
        <td width="1223">
		<select class="inputbox" id="fc_running_mode" name="fc_running_mode">
		<option <?php if($fc_running_mode =='1') echo'selected="selected"' ?> value="1">Chat server 

is hosted by your own</option>
		<option <?php if($fc_running_mode =='2') echo'selected="selected"' ?> value="2">Chat server 

is hosted by 123FlashChat.com</option>
		<option <?php if($fc_running_mode =='0') echo'selected="selected"' ?> value="0">Chat server 

is hosted by 123FlashChat.com free of charge</option></select>	</td>
      </tr>
      <tr valign="top">
        <th scope="row">&nbsp;</th>
        <td><?php _e('Select the host mode for your chat.') ?></td>
      </tr>
      <tr valign="top">
        <th scope="row"><?php _e('Show mode:') ?></th>
        <td>
		<select class="inputbox" id="fc_show_mode" name="fc_show_mode">
		<option <?php if($fc_show_mode =='1') echo'selected="selected"' ?> value="1">Standard Chat</option>
		<option <?php if($fc_show_mode =='2') echo'selected="selected"' ?> value="2">Lite Chat </option>
		</select>		</td>
      </tr>
      <tr valign="top">
        <th scope="row">&nbsp;</th>
        <td><?php _e('Select the chat\'s display mode.') ?></td>
      </tr>
      
      <tr valign="top">
        <th scope="row"><?php _e('Chat server path:') ?></th>
        <td><input name="fc_server_path" type="text" id="fc_server_path" value="<?php echo $fc_server_path; ?>" size="50" /></td>
      </tr>
      <tr valign="top">
        <th scope="row">&nbsp;</th>
        <td><?php _e('If your host mode is: chat server is hosted by 123flashchat.com, please fill in it with your local 123flashchat install directory.') ?></td>
      </tr>
      <tr valign="top">
        <th scope="row"><?php _e('Client location:') ?></th>
        <td><input name="fc_client_location" type="text" id="fc_client_location" value="<?php echo $fc_client_location; ?>" size="50" /></td>
      </tr>
      <tr valign="top">
        <th scope="row">&nbsp;</th>
        <td><?php _e('Please fill in the local client URL or Host URL of your chat client.') ?></td>
      </tr>
      <tr valign="top">
        <th scope="row"><?php _e('Chat room name:') ?></th>
        <td><input name="fc_room_name" type="text" id="fc_room_name" value="<?php echo $fc_room_name; ?>" 
size="50" /></td>
      </tr>
      <tr valign="top">
        <th scope="row">&nbsp;</th>
        <td><?php _e('Free chat user only need to fill in this field, and for other host mode users, filling in the field is not needed.') ?></td>
      </tr>
      <tr valign="top">
        <th scope="row"><?php _e('Chat client width:') ?></th>
        <td><input name="fc_width" type="text" id="fc_width" value="<?php echo $fc_width; ?>" size="50" />
        <br /></td>
      </tr>
      
      <tr valign="top">
        <th scope="row"><?php _e('Chat client height:') ?></th>
        <td><input name="fc_height" type="text" id="fc_height" value="<?php echo $fc_height; ?>" size="50" />
        <br /></td>
      </tr>
      
      
      <tr valign="top">
        <th scope="row"><?php _e('Plugin usage:') ?></th>
        <td><?php _e('To add 123 flash chat into your wordpress templete,just add the following code into your current WordPress theme on a place, where you want to appear.<br /><br />Put <b>' . htmlspecialchars
('<?php wp_show_chat_info(); ?>').'</b> in your template to get the information of the users who are currently logged in.<br />Put <b>'.htmlspecialchars
('<?php wp_show_flash_chat(); ?>').'</b> in your template to show chat room page.To activate the plug-in, please click "Settings" to enter the "flash chat" configuration page.'
, 'wpcf') ?></td>
      </tr>
    </table>
    <p class="submit">
      <input type="submit" name="Submit" value="<?php _e('Update Options', 'flash_chat') ?> &raquo;" />
    </p>
  </form>
</div>
